#ifndef __hashimpl_included
#define __hashimpl_included
#include <string>


std::string md5(const std::string & input);
std::string sha256(const std::string& input);

std::string md5withfile(const std::string & file_path);
std::string sha256withfile(const std::string& file_path);



#endif
